Plugin help

Help items for the plugin.

How to install the plugin?

 

Spigot, Bukkit, Sponge, and BungeeCord

Our plugin works on Spigot, Craftbukkit, BungeeCord, Sponge, etc. This guide will help you to set-up the plugin on Spigot and Craftbukkit. 

1. Create a new server (click for guide)
2. Download the CraftingStore plugin, you can find it at the "Servers" section in the right top corner. 
3. Upload the CraftingStore.jar into the plugins folder, like any other plugin. (/plugins folder)
4. Restart your server, do not reload. This might break the plugin (and lots of other plugins). 
5. The plugin now created a config (/plugins/CraftingStore/config.yml). 
6. Copy the API key created in step 1, and copy & paste it into the config.yml after the "api key" section. You can also use the command "/craftingstore key YOURKEY" to do so. 
7. Restart your server (or reload the plugin by using /craftingstore reload, this is not needed if the command was used)

You are now ready to accept donations!


Hurtworld

We currently do not have a native client for Hurtworld, but you can use the RCON protocol to sent commands to your server, we are working on the plugin.


Rust

We currently do not have a native client for Rust, but you can use the RCON protocol to sent commands to your server, we are working on the plugin.

How to enable debug mode?

Spigot/CraftBukkit/BungeeCord:
1) Open the config located in /plugins/CraftingStore/config.yml
2) Add the line: debug: true to the end of the file, under the other config options.
3) Save the config and restart your server.

SpongePowered:
1) Open the config located in /config/craftingstore/craftingstore.conf
2) Add debug mode to the config like so:
{api-key: test, debug: true}
3) Save the config and restart your server.

Now your server will start printing more relevant information to the console.

Plugin won't start on 1.7

Our plugin requires the Google GSON library before it can start. Versions prior 1.8.3 do not have this.

The error that you might encounter will look like:

java.lang.NoClassDefFoundError: com/google/gson/GsonBuilder

To make the plugin work on this version, install this plugin as well (click here!)